# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "txtx-addon-kit"
version = "0.4.14"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Low level primitives for building addons for Txtx"
readme = false
keywords = [
    "txtx",
    "smart-contracts",
    "devops",
    "secops",
    "blockchains",
]
categories = ["cryptography"]
license = "Apache-2.0"
repository = "https://github.com/txtx/txtx"

[features]
default = []
wasm = []

[lib]
name = "txtx_addon_kit"
crate-type = [
    "lib",
    "cdylib",
]
path = "src/lib.rs"

[dependencies.bip32]
version = "0.5.3"
features = ["alloc"]

[dependencies.crossbeam-channel]
version = "0.5.15"

[dependencies.dirs]
version = "5.0.1"

[dependencies.dyn-clone]
version = "1"

[dependencies.ed25519-dalek-bip32]
version = "0.3.0"

[dependencies.futures]
version = "0.3"

[dependencies.hcl-edit]
version = "0.8.0"

[dependencies.hex]
version = "0.4.3"

[dependencies.highway]
version = "1.1.0"

[dependencies.hmac]
version = "0.12.0"

[dependencies.indexmap]
version = "2.2.6"
features = ["serde"]

[dependencies.indoc]
version = "2.0.5"

[dependencies.jaq-interpret]
version = "1.2.1"

[dependencies.keccak-hash]
version = "0.11.0"

[dependencies.lazy_static]
version = "1.4.0"

[dependencies.libsecp256k1]
version = "0.7.0"

[dependencies.pbkdf2]
version = "0.12.2"
features = ["simple"]
default-features = false

[dependencies.rand]
version = "0.8.5"

[dependencies.reqwest]
version = "0.11.27"
features = [
    "json",
    "rustls-tls",
]
default-features = false

[dependencies.serde]
version = "1"

[dependencies.serde_derive]
version = "1"

[dependencies.serde_json]
version = "1"

[dependencies.sha2]
version = "0.10.8"

[dependencies.strum]
version = "0.26"
features = ["derive"]

[dependencies.url]
version = "2.2.2"
features = ["serde"]

[dependencies.uuid]
version = "1.15.1"
features = [
    "v4",
    "serde",
    "js",
]

[dev-dependencies.hiro-system-kit]
version = "0.3.4"

[dev-dependencies.test-case]
version = "3.3"
